com.verisign.epp.codec.registry.v01

## Enum EPPRegistryLanguage.VariantStrategy

- java.lang.Object
- - java.lang.Enum<EPPRegistryLanguage.VariantStrategy>
  - - com.verisign.epp.codec.registry.v01.EPPRegistryLanguage.VariantStrategy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EPPRegistryLanguage.VariantStrategy>
  Enclosing class:
    EPPRegistryLanguage

      public static enum EPPRegistryLanguage.VariantStrategy
      extends java.lang.Enum<EPPRegistryLanguage.VariantStrategy>

  Possible values for the `variantStrategy` attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `blocked` Variant registrations are blocked for all clients
    `open` Variant registrations are open to all clients.
    `restricted` Variant registrations are allowed for client of the original IDN registration.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPRegistryLanguage.VariantStrategy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPRegistryLanguage.VariantStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### blocked

          public static final EPPRegistryLanguage.VariantStrategy blocked

      Variant registrations are blocked for all clients

    - #### restricted

          public static final EPPRegistryLanguage.VariantStrategy restricted

      Variant registrations are allowed for client of the original IDN registration.

    - #### open

          public static final EPPRegistryLanguage.VariantStrategy open

      Variant registrations are open to all clients.

  - ### Method Detail

    - #### values

          public static EPPRegistryLanguage.VariantStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPRegistryLanguage.VariantStrategy c : EPPRegistryLanguage.VariantStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPRegistryLanguage.VariantStrategy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © VeriSign Inc. All Rights Reserved.